import { request } from '/@/utils/service'


export function getAdMixSelect() {
  return request({
      url: '/api/ad_manage/portfolios/select_list',
      method: 'GET',
  })
}

export function postCampaignsData(filteredRequestData) {
  return request({
      url: '/api/ad_manage/sbcampaigns/create/',
      method: 'post',
      data: filteredRequestData,
  })
}

export function postGroupData(filteredRequestData) {
  return request({
      url: '/api/ad_manage/sbgroups/create/',
      method: 'post',
      data: filteredRequestData,
  })
}

export function postNegativeWordData(filteredRequestData) {
  return request({
      url: '/api/ad_manage/sptargets/add/negative/keywords/',
      method: 'post',
      data: filteredRequestData,
  })
}

export function getAssets(query) {
  return request({
      url: '/api/ad_manage/sb/assets/',
      method: 'get',
      params: query
  })
}